autofs-5.0.6 - fix fix wait for master source mutex

From: Ian Kent <raven@themaw.net>

The "wait for master source mutex" change wait for a busy read/write
mutex to become available instead of failing. The s390x architecture
is slower than the Intel architectures and the time allowed to wait
can be too short leading to a failure anyway.

This patch increases the maximum wait from 1 second to 5 seconds to
avoid false positive fails.
---

 CHANGELOG    |    1 +
 lib/master.c |    2 +-
 2 files changed, 2 insertions(+), 1 deletions(-)


diff --git a/CHANGELOG b/CHANGELOG
index b6802b9..918d35b 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -22,6 +22,7 @@
 - remove empty command line arguments (passed by systemd).
 - fix rpc build error.
 - fix improve mount location error reporting.
+- fix fix wait for master source mutex.
 
 28/06/2011 autofs-5.0.6
 -----------------------
diff --git a/lib/master.c b/lib/master.c
index 87d1269..aad9087 100644
--- a/lib/master.c
+++ b/lib/master.c
@@ -552,7 +552,7 @@ void master_source_writelock(struct master_mapent *entry)
 
 void master_source_readlock(struct master_mapent *entry)
 {
-	int retries = 5; /* 1 second maximum */
+	int retries = 25; /* 5 second maximum */
 	int status;
 
 	while (retries--) {
